Spring框架存在远程命令执行漏洞预警

发布时间:2022-04-27 信息来源:


近日,国家信息安全漏洞共享平台(CNVD)收录了Spring框架远程命令执行漏洞(CNVD-2022-23942)。攻击者利用该漏洞,可在未授权的情况下远程执行命令。目前,漏洞利用细节已大范围公开,Spring官方已发布补丁修复该漏洞。建议受影响的单位和用户立即更新至安全版本。

一、基本情况

Spring框架(Framework)是一个开放源代码的J2EE应用程序框架,提供了功能强大IOCAOPWeb MVC等功能。解决了程序人员在开发中遇到的常见问题,提高了应用程序开发便捷度和软件系统构建效率。

二、影响分析

由于Spring框架存在处理流程缺陷,攻击者可在远程条件下,对目标主机植入后门文件,获得目标主机权限。使用Spring框架或衍生框架构建网站等应用,且同时使用JDK版本在9及以上版本的,易受此漏洞攻击影响。CNVD对该漏洞的综合评级为“高危”。

漏洞影响的产品版本包括:

版本低于5.3.185.2.20Spring框架或其衍生框架构建的网站或应用。

三、处置建议

目前,Spring官方已发布新版本完成漏洞修复,建议受漏洞影响的产品(服务)厂商和信息系统运营者尽快进行自查,并及时升级至安全版本:

https://spring.io/blog/2022/03/31/spring-framework-rce-early-announcement

四、参考链接

https://www.cnvd.org.cn/webinfo/show/7541

https://spring.io/blog/2022/03/31/spring-framework-rce-early-announcement

https://github.com/spring-projects/spring-framework/compare/v5.3.17...v5.3.18


分享
TOP